### 注意事项
1. 以下接口请求头必须加入`Authorization`，值为授权token([如何获取token](../core/Token使用文档.md))
2. 接口数据为 `Json`

### 人脸比对
> 请求方式  ` POST http://172.20.109.105:7007/tech/ai/face/match` <br> 


| 请求参数  | 类型 | 是否必填 | 说明 |
| --- | --- | --- | --- | 
| async | boolean| 否 | 是否开启异步反馈模式，默认为false |
| liveCode | String| 否 | 传入对比数据为视频并选择LIP模式时必传，参数为数字验证码接口获取的参数 |
| --- | --- | --- | --- |
| image | -| - | 作为对比参照的客户照片 |
| type | String| 是 | 固定传"image" |
| origin | String| 否 | image的数据类型。<br/> base64字符串：self<br/>来自文件服务器：fds （**带压缩效果，推荐使用，详见[fds使用文档](../file/文件服务器接口.md)）**<br/>图片链接：uri <br/>默认为 self |
| data | String| 是 | 图片数据（base64，文件服务器文件路径或链接） |
| --- | --- | --- | --- |
| faceData | -| - | 需要比对的客户照片或视频 |
| type | String| 是 | 照片：image <br/> 视频：video |
| videoType | String| 是 | type为video时生效。<br/>SILENT：默认，静默模式，视频不需要做动作 <br/> LIP：数字模式，视频需读出指定数字|
| origin | String| 否 | faceData的数据类型。<br/> base64字符串：self<br/>来自文件服务器：fds （**带压缩效果，推荐使用，详见[fds使用文档](../file/文件服务器接口.md)）**<br/>视频链接：uri <br/>默认为 self |
| data | String| 是 | 视频数据（base64，文件服务器文件路径或链接） |
| --- | --- | --- | --- |


| 返回参数  | 类型 | 是否比返 | 说明 |
| --- | --- | --- | --- |
| errcode | Num| 是 | 0交易成功<br>其它为异常情况 |
| errmsg | String | 否 | errcode不为0时有值 |
| --- | --- | --- | --- |
| data | - | - | 包含数据见下 |
| status | String | 是 | “SUCCESS”为业务成功 |
| traceNo | String | 是 | 当前业务的唯一id |
| result | String | 是 | 业务结果 |
| result->isSccess | String | 是 | true：识别成功<br>false：识别失败 |
| result->score | String | 否 | 匹配分数，以供参考 |
| --- | --- | --- | --- |

请求示例

```
{
     
}
```

返回示例

```
{
    "errcode":0,
    "data":{
         
    },
    "errmsg":"SUCCESS"
}
```

### 身份验证
> 请求方式  ` POST http://172.20.109.105:7007/tech/ai/face/match/idno`

| 请求参数  | 类型 | 是否必填 | 说明 |
| --- | --- | --- | --- | 
| async | boolean| 否 | 是否开启异步反馈模式，默认为false |
| idNum | String| 是 | 验证人的身份证号 |
| name | String| 是 | 验证人的姓名 |
| liveCode | String| 是 | 数字验证码，选择LIP模式时必传 |
| --- | --- | --- | --- |
| faceData | -| - | 需要比对的客户照片或视频 |
| type | String| 是 | 照片：image <br/> 视频：video |
| videoType | String| 是 | type为video时生效。<br/>SILENT：默认，静默模式，视频不需要做动作 <br/> LIP：数字模式，视频需读出指定数字|
| origin | String| 否 | faceData的数据类型。<br/> base64字符串：self<br/>来自文件服务器：fds （**带压缩效果，推荐使用，详见[fds使用文档](../file/文件服务器接口.md)）**<br/>视频链接：uri <br/>默认为 self |
| data | String| 是 | 视频数据（base64，文件服务器文件路径或链接） |
| --- | --- | --- | --- |

| 返回参数  | 类型 | 是否比返 | 说明 |
| --- | --- | --- | --- |
| errcode | Num| 是 | 0交易成功<br>其它为异常情况 |
| errmsg | String | 否 | errcode不为0时有值 |
| --- | --- | --- | --- |
| data | - | - | 包含数据见下 |
| status | String | 是 | “SUCCESS”为业务成功 |
| traceNo | String | 是 | 当前业务的唯一id |
| result | String | 是 | 业务结果 |
| result->isSccess | String | 是 | true：识别成功<br>false：识别失败 |
| result->score | String | 否 | 匹配分数，以供参考 |
| --- | --- | --- | --- |

请求示例

```
{
     
}
```

返回示例

```
{
    "errcode":0,
    "data":{
         
    },
    "errmsg":"SUCCESS"
}
```

### 获取数字验证码
> 请求方式  ` POST http://172.20.109.105:7007/tech/ai/face/match/validateData` <br> 
> 数据格式 `Json`

| 请求参数  | 类型 | 是否必填 | 说明 |
| --- | --- | --- | --- | 
| async | boolean| 否 | 是否开启异步反馈模式，默认为false |

| 返回参数  | 类型 | 是否比返 | 说明 |
| --- | --- | --- | --- |
| errcode | Num| 是 | 0交易成功<br>其它为异常情况 |
| errmsg | String | 否 | errcode不为0时有值 |
| --- | --- | --- | --- |
| data | - | - | 包含数据见下 |
| status | String | 是 | “SUCCESS”为业务成功 |
| traceNo | String | 是 | 当前业务的唯一id |
| result | String | 是 | 业务结果 |
| result->code | String | 否 | 数字验证码 |
| --- | --- | --- | --- |

请求示例

```
{
    "refreshToken":""
}
```

返回示例

```
{
    "errcode":0,
    "data":{
        "accessToken":""
    },
    "errmsg":"SUCCESS"
}
```