### Token使用流程概述
1. 向生态系统申请系统名、用户名、密钥
2. 使用 `getVirtualToken` 接口请求 token 
3. 将 `token` 作为请求头 `Authorization` 的值，即可正常调用其他接口
4. 每隔十分钟使用 `refreshToken` 接口刷新token，每隔一小时重新获取token
![Token](./image/token.png)

### getVirtualToken 获取token
> 请求方式  ` POST http://172.20.109.105:7007/core/auth/getVirtualToken` <br>
> 数据格式 `Json`

| 请求参数  | 类型 | 是否必填 | 说明 |
| --- | --- | --- | --- | 
| sysName | String| 是 | 系统名称 |
| userCode | String | 是 | 用户名 |
| password | String | 是 | 密钥 |

| 返回参数  | 类型 | 是否比返 | 说明 |
| --- | --- | --- | --- | 
| errcode | Num| 是 | 0交易成功<br>其它为异常情况 |
| errmsg | String | 否 | errcode不为0时有值 |
| data | - | - | 包含数据见下 |
| accessToken | String | 是 | 获取到的Token |
| refreshToken | String | 是 | 用于刷新Token的 |

请求示例

```
{
    "sysName":"",
    "userCode":"",
    "password":""
}
```

返回示例

```
{
    "errcode":0,
    "data":{
        "accessToken":"",
        "refreshToken:""
    },
    "errmsg":"SUCCESS"
}
```

### refreshToken 获取token
> 请求方式  ` POST http://172.20.109.105:7007/core/auth/refreshToken` <br> 
> 数据格式 `Json`

| 请求参数  | 类型 | 是否必填 | 说明 |
| --- | --- | --- | --- | 
| refreshToken | String| 是 | 获取Token时获取的refreshToken |

| 返回参数  | 类型 | 是否比返 | 说明 |
| --- | --- | --- | --- |
| errcode | Num| 是 | 0交易成功<br>其它为异常情况 |
| errmsg | String | 否 | errcode不为0时有值 |
| data | - | - | 包含数据见下 |
| accessToken | String | 是 | 获取到的Token |

请求示例

```
{
    "refreshToken":""
}
```

返回示例

```
{
    "errcode":0,
    "data":{
        "accessToken":""
    },
    "errmsg":"SUCCESS"
}
```
